| base-4.1.0.0: Basic libraries | Source code | Contents | Index

Control.Category

Portability | portable
Stability | experimental
Maintainer | ashley@semantic.org

Description
Synopsis

class Category cat where

id :: cat a a
(.) :: cat b c -> cat a b -> cat a c

(<<<) :: Category cat => cat b c -> cat a b -> cat a c
(>>>) :: Category cat => cat a b -> cat b c -> cat a c

Documentation

class Category cat where | Source

A class for categories. id and (.) must form a monoid.
Methods

id :: cat a a | Source

the identity morphism

(.) :: cat b c -> cat a b -> cat a c | Source

morphism composition

Instances

Category (->)
Monad m => Category (Kleisli m)

(<<<) :: Category cat => cat b c -> cat a b -> cat a c | Source

Right-to-left composition

(>>>) :: Category cat => cat a b -> cat b c -> cat a c | Source

Left-to-right composition
Produced by Haddock version 2.4.2